import { Context } from 'koa';
export interface Config {
    /**
     * Absolute path to Openapi Document
     */
    file?: string;
    /**
     * Openapi document as a javascript object
     */
    spec?: object;
    /**
     * Endpoint that serves raw Openapi Document in JSON
     * default: /openapi.json
     */
    endpoint: string;
    /**
     * Endpoint that serves Openapi UI
     * default: /openapi.html
     */
    uiEndpoint: string;
    /**
     * Validate the response
     */
    validateResponse: boolean;
    /**
     * Whitelist paths for request validation
     * default: ['/']
     */
    validatePaths: string[];
    /**
     * Optional base path to swagger ui bundle
     */
    swaggerUiBundleBasePath: string;
    /**
     * Optional custom error handler
     */
    errorHandler: (error: Error, ctx: Context) => void;
}
export declare function validateConfig(cfg: Partial<Config>): Config;
